OpenNMS API 1.2.9

## org.opennms.web.asset
Class Asset

    java.lang.Object
      org.opennms.web.asset.Asset

public class Asset
extends java.lang.Object

Field Summary
`protected java.lang.String` `address1`
`protected java.lang.String` `address2`
`protected java.lang.String` `assetNumber`
`protected java.lang.String` `building`
`static java.lang.String[]` `CATEGORIES`
`protected java.lang.String` `category`
`protected java.lang.String` `circuitId`
`protected java.lang.String` `city`
`protected java.lang.String` `comments`
`protected java.lang.String` `dateInstalled`
`protected java.lang.String` `department`
`protected java.lang.String` `description`
`protected java.lang.String` `displayCategory`
`protected java.lang.String` `division`
`protected java.lang.String` `floor`
`static java.lang.String` `LAN_CATEGORY`
`protected java.util.Date` `lastModifiedDate`
`protected java.lang.String` `lease`
`protected java.lang.String` `leaseExpires`
`protected java.lang.String` `maintContract`
`protected java.lang.String` `maintContractExpires`
`protected java.lang.String` `manufacturer`
`protected java.lang.String` `modelNumber`
`static java.lang.String` `NETWORK_CATEGORY`
`protected int` `nodeId`
`protected java.lang.String` `notifyCategory`
`protected java.lang.String` `operatingSystem`
`static java.lang.String` `OTHER_CATEGORY`
`protected java.lang.String` `pollerCategory`
`protected java.lang.String` `port`
`protected java.lang.String` `rack`
`protected java.lang.String` `region`
`protected java.lang.String` `room`
`protected java.lang.String` `serialNumber`
`protected java.lang.String` `slot`
`protected java.lang.String` `state`
`protected java.lang.String` `supportPhone`
`protected java.lang.String` `thresholdCategory`
`static java.lang.String` `UNIX_CATEGORY`
`static java.lang.String` `UNSPECIFIED_CATEGORY`
`protected java.lang.String` `userLastModified`
`protected java.lang.String` `vendor`
`protected java.lang.String` `vendorAssetNumber`
`protected java.lang.String` `vendorFax`
`protected java.lang.String` `vendorPhone`
`static java.lang.String` `WINDOWS_CATEGORY`
`protected java.lang.String` `zip`

Constructor Summary
`Asset()`

Method Summary
`java.lang.String` `getAddress1()`
`java.lang.String` `getAddress2()`
`java.lang.String` `getAssetNumber()`
`java.lang.String` `getBuilding()`
`java.lang.String` `getCategory()`
`java.lang.String` `getCircuitId()`
`java.lang.String` `getCity()`
`java.lang.String` `getComments()`
`java.lang.String` `getDateInstalled()`
`java.lang.String` `getDepartment()`
`java.lang.String` `getDescription()`
`java.lang.String` `getDisplayCategory()`
`java.lang.String` `getDivision()`
`java.lang.String` `getFloor()`
`java.util.Date` `getLastModifiedDate()`
`java.lang.String` `getLease()`
`java.lang.String` `getLeaseExpires()`
`java.lang.String` `getMaintContract()`
`java.lang.String` `getMaintContractExpires()`
`java.lang.String` `getManufacturer()`
`java.lang.String` `getModelNumber()`
`int` `getNodeId()`
`java.lang.String` `getNotifyCategory()`
`java.lang.String` `getOperatingSystem()`
`java.lang.String` `getPollerCategory()`
`java.lang.String` `getPort()`
`java.lang.String` `getRack()`
`java.lang.String` `getRegion()`
`java.lang.String` `getRoom()`
`java.lang.String` `getSerialNumber()`
`java.lang.String` `getSlot()`
`java.lang.String` `getState()`
`java.lang.String` `getSupportPhone()`
`java.lang.String` `getThresholdCategory()`
`java.lang.String` `getUserLastModified()`
`java.lang.String` `getVendor()`
`java.lang.String` `getVendorAssetNumber()`
`java.lang.String` `getVendorFax()`
`java.lang.String` `getVendorPhone()`
`java.lang.String` `getZip()`
`void` `setAddress1(java.lang.String address1)`
`void` `setAddress2(java.lang.String address2)`
`void` `setAssetNumber(java.lang.String assetNumber)`
`void` `setBuilding(java.lang.String building)`
`void` `setCategory(java.lang.String category)`
`void` `setCircuitId(java.lang.String circuitId)`
`void` `setCity(java.lang.String city)`
`void` `setComments(java.lang.String comments)`
`void` `setDateInstalled(java.lang.String dateInstalled)`
`void` `setDepartment(java.lang.String department)`
`void` `setDescription(java.lang.String description)`
`void` `setDisplayCategory(java.lang.String displayCategory)`
`void` `setDivision(java.lang.String division)`
`void` `setFloor(java.lang.String floor)`
`void` `setLastModifiedDate(java.util.Date lastModifiedDate)`
`void` `setLease(java.lang.String lease)`
`void` `setLeaseExpires(java.lang.String leaseExpires)`
`void` `setMaintContract(java.lang.String maintContract)`
`void` `setMaintContractExpires(java.lang.String maintContractExpires)`
`void` `setManufacturer(java.lang.String manufacturer)`
`void` `setModelNumber(java.lang.String modelNumber)`
`void` `setNodeId(int nodeId)`
`void` `setNotifyCategory(java.lang.String notifyCategory)`
`void` `setOperatingSystem(java.lang.String operatingSystem)`
`void` `setPollerCategory(java.lang.String pollerCategory)`
`void` `setPort(java.lang.String port)`
`void` `setRack(java.lang.String rack)`
`void` `setRegion(java.lang.String region)`
`void` `setRoom(java.lang.String room)`
`void` `setSerialNumber(java.lang.String serialNumber)`
`void` `setSlot(java.lang.String slot)`
`void` `setState(java.lang.String state)`
`void` `setSupportPhone(java.lang.String supportPhone)`
`void` `setThresholdCategory(java.lang.String thresholdCategory)`
`void` `setUserLastModified(java.lang.String userLastModified)`
`void` `setVendor(java.lang.String vendor)`
`void` `setVendorAssetNumber(java.lang.String vendorAssetNumber)`
`void` `setVendorFax(java.lang.String vendorFax)`
`void` `setVendorPhone(java.lang.String vendorPhone)`
`void` `setZip(java.lang.String zip)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSPECIFIED_CATEGORY

    public static final java.lang.String UNSPECIFIED_CATEGORY

See Also:
  Constant Field Values

### NETWORK_CATEGORY

    public static final java.lang.String NETWORK_CATEGORY

See Also:
  Constant Field Values

### UNIX_CATEGORY

    public static final java.lang.String UNIX_CATEGORY

See Also:
  Constant Field Values

### WINDOWS_CATEGORY

    public static final java.lang.String WINDOWS_CATEGORY

See Also:
  Constant Field Values

### LAN_CATEGORY

    public static final java.lang.String LAN_CATEGORY

See Also:
  Constant Field Values

### OTHER_CATEGORY

    public static final java.lang.String OTHER_CATEGORY

See Also:
  Constant Field Values

### CATEGORIES

    public static final java.lang.String[] CATEGORIES

### nodeId

    protected int nodeId

### lastModifiedDate

    protected java.util.Date lastModifiedDate

### userLastModified

    protected java.lang.String userLastModified

### category

    protected java.lang.String category

### manufacturer

    protected java.lang.String manufacturer

### vendor

    protected java.lang.String vendor

### modelNumber

    protected java.lang.String modelNumber

### serialNumber

    protected java.lang.String serialNumber

### description

    protected java.lang.String description

### circuitId

    protected java.lang.String circuitId

### assetNumber

    protected java.lang.String assetNumber

### operatingSystem

    protected java.lang.String operatingSystem

### rack

    protected java.lang.String rack

### slot

    protected java.lang.String slot

### port

    protected java.lang.String port

### region

    protected java.lang.String region

### division

    protected java.lang.String division

### department

    protected java.lang.String department

### address1

    protected java.lang.String address1

### address2

    protected java.lang.String address2

### city

    protected java.lang.String city

### state

    protected java.lang.String state

### zip

    protected java.lang.String zip

### building

    protected java.lang.String building

### floor

    protected java.lang.String floor

### room

    protected java.lang.String room

### vendorPhone

    protected java.lang.String vendorPhone

### vendorFax

    protected java.lang.String vendorFax

### dateInstalled

    protected java.lang.String dateInstalled

### lease

    protected java.lang.String lease

### leaseExpires

    protected java.lang.String leaseExpires

### supportPhone

    protected java.lang.String supportPhone

### maintContract

    protected java.lang.String maintContract

### vendorAssetNumber

    protected java.lang.String vendorAssetNumber

### maintContractExpires

    protected java.lang.String maintContractExpires

### displayCategory

    protected java.lang.String displayCategory

### notifyCategory

    protected java.lang.String notifyCategory

### pollerCategory

    protected java.lang.String pollerCategory

### thresholdCategory

    protected java.lang.String thresholdCategory

### comments

    protected java.lang.String comments

Constructor Detail

### Asset

    public Asset()

Method Detail

### setNodeId

    public void setNodeId(int nodeId)

### getNodeId

    public int getNodeId()

### setLastModifiedDate

    public void setLastModifiedDate(java.util.Date lastModifiedDate)

### getLastModifiedDate

    public java.util.Date getLastModifiedDate()

### setCategory

    public void setCategory(java.lang.String category)

### getCategory

    public java.lang.String getCategory()

### setDisplayCategory

    public void setDisplayCategory(java.lang.String displayCategory)

### getDisplayCategory

    public java.lang.String getDisplayCategory()

### setNotifyCategory

    public void setNotifyCategory(java.lang.String notifyCategory)

### getNotifyCategory

    public java.lang.String getNotifyCategory()

### setPollerCategory

    public void setPollerCategory(java.lang.String pollerCategory)

### getPollerCategory

    public java.lang.String getPollerCategory()

### setThresholdCategory

    public void setThresholdCategory(java.lang.String thresholdCategory)

### getThresholdCategory

    public java.lang.String getThresholdCategory()

### setManufacturer

    public void setManufacturer(java.lang.String manufacturer)

### getManufacturer

    public java.lang.String getManufacturer()

### setVendor

    public void setVendor(java.lang.String vendor)

### getVendor

    public java.lang.String getVendor()

### setModelNumber

    public void setModelNumber(java.lang.String modelNumber)

### getModelNumber

    public java.lang.String getModelNumber()

### setSerialNumber

    public void setSerialNumber(java.lang.String serialNumber)

### getSerialNumber

    public java.lang.String getSerialNumber()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### setCircuitId

    public void setCircuitId(java.lang.String circuitId)

### getCircuitId

    public java.lang.String getCircuitId()

### setAssetNumber

    public void setAssetNumber(java.lang.String assetNumber)

### getAssetNumber

    public java.lang.String getAssetNumber()

### setOperatingSystem

    public void setOperatingSystem(java.lang.String operatingSystem)

### getOperatingSystem

    public java.lang.String getOperatingSystem()

### setRack

    public void setRack(java.lang.String rack)

### getRack

    public java.lang.String getRack()

### setSlot

    public void setSlot(java.lang.String slot)

### getSlot

    public java.lang.String getSlot()

### setPort

    public void setPort(java.lang.String port)

### getPort

    public java.lang.String getPort()

### setRegion

    public void setRegion(java.lang.String region)

### getRegion

    public java.lang.String getRegion()

### setDivision

    public void setDivision(java.lang.String division)

### getDivision

    public java.lang.String getDivision()

### setDepartment

    public void setDepartment(java.lang.String department)

### getDepartment

    public java.lang.String getDepartment()

### setAddress1

    public void setAddress1(java.lang.String address1)

### getAddress1

    public java.lang.String getAddress1()

### setAddress2

    public void setAddress2(java.lang.String address2)

### getAddress2

    public java.lang.String getAddress2()

### setCity

    public void setCity(java.lang.String city)

### getCity

    public java.lang.String getCity()

### setState

    public void setState(java.lang.String state)

### getState

    public java.lang.String getState()

### setZip

    public void setZip(java.lang.String zip)

### getZip

    public java.lang.String getZip()

### setBuilding

    public void setBuilding(java.lang.String building)

### getBuilding

    public java.lang.String getBuilding()

### setFloor

    public void setFloor(java.lang.String floor)

### getFloor

    public java.lang.String getFloor()

### setRoom

    public void setRoom(java.lang.String room)

### getRoom

    public java.lang.String getRoom()

### setVendorPhone

    public void setVendorPhone(java.lang.String vendorPhone)

### getVendorPhone

    public java.lang.String getVendorPhone()

### setVendorFax

    public void setVendorFax(java.lang.String vendorFax)

### getVendorFax

    public java.lang.String getVendorFax()

### setUserLastModified

    public void setUserLastModified(java.lang.String userLastModified)

### getUserLastModified

    public java.lang.String getUserLastModified()

### setDateInstalled

    public void setDateInstalled(java.lang.String dateInstalled)

### getDateInstalled

    public java.lang.String getDateInstalled()

### setLease

    public void setLease(java.lang.String lease)

### getLease

    public java.lang.String getLease()

### setLeaseExpires

    public void setLeaseExpires(java.lang.String leaseExpires)

### getLeaseExpires

    public java.lang.String getLeaseExpires()

### setSupportPhone

    public void setSupportPhone(java.lang.String supportPhone)

### getSupportPhone

    public java.lang.String getSupportPhone()

### setMaintContract

    public void setMaintContract(java.lang.String maintContract)

### getMaintContract

    public java.lang.String getMaintContract()

### setVendorAssetNumber

    public void setVendorAssetNumber(java.lang.String vendorAssetNumber)

### getVendorAssetNumber

    public java.lang.String getVendorAssetNumber()

### setMaintContractExpires

    public void setMaintContractExpires(java.lang.String maintContractExpires)

### getMaintContractExpires

    public java.lang.String getMaintContractExpires()

### setComments

    public void setComments(java.lang.String comments)

### getComments

    public java.lang.String getComments()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.